
from . node import ui as node_ui
from . node import operator as node_operator
from . material import ui as material_ui
from . material import operator as material_operator

bl_modules = (
    node_ui,
    node_operator,
    material_ui,
    material_operator
)


def register():
    """Register the addon Asset Library for Blender"""
    
    for mod in bl_modules:
        mod.register()
    

def unregister():
    """Unregister the addon Asset Library for Blender"""

    for mod in reversed(bl_modules):
        mod.unregister()